Bug 166573 - nfs-utils-1.0.6-62.EL4 fails to build on RHEL4 Update2 Beta
nfs-utils-1.0.6-62.EL4 fails to build on RHEL4 Update2 Beta
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 10:34 EDT by Johnny Hughes
Modified: 2012-06-20 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full build log (9.93 KB, application/octet-stream)
2005-08-23 10:54 EDT, Johnny Hughes
no flags Details
build machine full package list (37.59 KB, text/plain)
2005-09-01 08:55 EDT, Johnny Hughes
no flags Details

  None (edit)
Description Johnny Hughes 2005-08-23 10:34:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
nfs-utils-1.0.6-62.EL4 fails to build on RHEL4 Update2 Beta.

Attached is the full build log.



Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-62.EL4

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild nfs-utils-1.0.6-62.EL4.src.rpm using a full install of RHEL4 Update2 Beta from the i386 ISOs.




Actual Results:  fails with this error:

gcc -O2 -g -pipe -m32 -march=i386 -mtune=pentium4 -D_GNU_SOURCE -DHAVE_TCP_WRAPPER -I../../support/include -I/usr/include -Wall  -pipe  -DVERSION="\"nfs-utils 1.0.6\"" -DNFS3_SUPPORTED   -c -o rquota_server.o rquota_server.c
rquota_server.c: In function `getquotainfo':
rquota_server.c:176: error: structure has no member named `dqb_curblocks'
make[2]: *** [rquota_server.o] Error 1
make[1]: *** [all] Error 2
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.31407 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.31407 (%build)


Expected Results:  normal build

Additional info:
Comment 1 Johnny Hughes 2005-08-23 10:54:32 EDT
Created attachment 118004 [details]
full build log

Full buildlog containing 2>&1 information
Comment 2 Ben Levenson 2005-08-30 13:04:07 EDT
Is this a regression?
Comment 3 Steve Dickson 2005-09-01 07:46:01 EDT
I don't see this problem, are sure your building on a RHEL4 platform
and not a RHEL3???
Comment 4 Johnny Hughes 2005-09-01 07:49:11 EDT
Absolutely ... building on a full install RHEL4-U2beta platform.
Comment 5 Steve Dickson 2005-09-01 07:59:23 EDT
Could you please post the output of the following command:
'rpm -qa | grep glibc' tia... 
Comment 6 Johnny Hughes 2005-09-01 08:53:09 EDT
Here are relevant installed packages:

glibc-headers-2.3.4-2.12.i386
glibc-utils-2.3.4-2.12.i386
glibc-2.3.4-2.12.i686
glibc-profile-2.3.4-2.12.i386
nptl-devel-2.3.4-2.12.i686
glibc-common-2.3.4-2.12.i386
glibc-devel-2.3.4-2.12.i386
nscd-2.3.4-2.12.i386

gcc-gnat-3.4.4-2.i386
gcc4-4.0.1-4.EL4.2.i386
compat-gcc-32-3.2.3-47.3.i386
libgcc-3.4.4-2.i386
gcc-c++-3.4.4-2.i386
gcc4-gfortran-4.0.1-4.EL4.2.i386
gcc-3.4.4-2.i386
gcc-java-3.4.4-2.i386
gcc-objc-3.4.4-2.i386
compat-libgcc-296-2.96-132.7.2.i386
gcc-g77-3.4.4-2.i386
gcc4-c++-4.0.1-4.EL4.2.i386
compat-gcc-32-c++-3.2.3-47.3.i386
gcc4-java-4.0.1-4.EL4.2.i386
libgnat-3.4.4-2.i386
pvm-3.4.4-21.i386
pvm-gui-3.4.4-21.i386
libstdc++-3.4.4-2.i386
cpp-3.4.4-2.i386
libf2c-3.4.4-2.i386
libgcj-devel-3.4.4-2.i386
libobjc-3.4.4-2.i386
libgcj-3.4.4-2.i386
libstdc++-devel-3.4.4-2.i386

system-config-nfs-1.2.8-1.noarch
nfs-utils-1.0.6-62.EL4.i386

quota-3.12-5.i386

-----------
testing which versions are being used for compiles:

[root@rhel-test ~]# gcc --version
gcc (GCC) 3.4.4 20050721 (Red Hat 3.4.4-2)
Copyright (C) 2004 Free Software Foundation, Inc.

[root@rhel-test ~]# ldd --version
ldd (GNU libc) 2.3.4
Copyright (C) 2005 Free Software Foundation, Inc.
----------
Also attached is a full rpm -qa sorted by name
Comment 7 Johnny Hughes 2005-09-01 08:55:01 EDT
Created attachment 118340 [details]
build machine full package list
Comment 11 Johnny Hughes 2005-09-01 11:19:36 EDT
OK ... taking a look here:

https://www.redhat.com/archives/fedora-cvs-commits/2005-August/msg00099.html

If I apply that patch to nfs-utils-1.0.6/utils/rquotad/rquota_server.c then it
compiles fine.

Wheter or not this actually makes the files do what we want, I am not sure.
Comment 12 Steve Dickson 2005-09-01 13:37:48 EDT
I strongly recommend you *not* use that patch,  instead either
add the '-D_LINUX_QUOTA_VERSION=1' compile
flag to use the correct quota version or update your glibc
libs headers to the latest beta version.

Please Note: I have every intention to change the rquotad to use
the new quota version which means I will be setting the
compile flag to -D_LINUX_QUOTA_VERSION=2.

Comment 13 Jiri Pallich 2012-06-20 11:58:47 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.